import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {EasyPaymentSectionCmsService} from "./easy-payment-section-cms.service";
import {UpdateEasyPaymentSectionCmsDto} from "./dto/update-easy-payment-section-cms.dto";

@Controller({path: "easy-payment-section-cms", version: Constants.API_VERSION_1})

export class EasyPaymentSectionCmsController {
    constructor(private readonly service: EasyPaymentSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateEasyPaymentSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
