import {EntityRepository, Repository} from "typeorm";
import {HowItWorksSectionCmsEntity} from "./entities/how-it-works-section-cms.entity";
import {UpdateHowItWorksSectionCmsDto} from "./dto/update-how-it-works-section-cms.dto";

@EntityRepository(HowItWorksSectionCmsEntity)
export class HowItWorksSectionCmsRepository extends Repository<HowItWorksSectionCmsEntity> {

    async createEntity(dto: UpdateHowItWorksSectionCmsDto): Promise<HowItWorksSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                image: dto.image
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHowItWorksSectionCmsDto, id: string): Promise<HowItWorksSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                image: dto.image
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HowItWorksSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}