import {EntityRepository, Repository} from "typeorm";
import {MarketYourBusinessSectionCmsEntity} from "./entity/market-your-business-section-cms.entity";
import {UpdateMarketYourBusinessSectionCmsDto} from "./dto/update-market-your-business-section-cms.dto";

@EntityRepository(MarketYourBusinessSectionCmsEntity)
export class MarketYourBusinessSectionCmsRepository extends Repository<MarketYourBusinessSectionCmsEntity> {

    async createEntity(dto: UpdateMarketYourBusinessSectionCmsDto): Promise<MarketYourBusinessSectionCmsEntity | Error> {
        try {
            const {
                image,
                title,
                subTitle,
                description,
                buttonText,
                buttonLink,
                features
            } = dto;
            const entity = this.create({
                image,
                title,
                subTitle,
                description,
                buttonText,
                buttonLink,
                features
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateMarketYourBusinessSectionCmsDto): Promise<MarketYourBusinessSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                title: dto.title,
                subTitle: dto.subTitle,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                features: dto.features
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<MarketYourBusinessSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }

}