import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from '@nestjs/common';
import {AdminAuthGuard} from 'src/core/guards/admin-auth.guard';
import {Constants} from 'src/utils/constants';
import {PressAboutContentCmsService} from './press-about-content-cms.service';
import {UpdatePressAboutContentCmsDto} from './dto/update-press-about-content-cms.dto';

@Controller({path: 'press-about-content-cms', version: Constants.API_VERSION_1})
export class PressAboutContentCmsController {
    constructor(private readonly service: PressAboutContentCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePressAboutContentCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
