import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {AboutPageContentRepository} from './about-page-content.repository';
import {AboutPageContentController} from './about-page-content.controller';
import {AboutPageContentService} from './about-page-content.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([AboutPageContentRepository])
    ],
    controllers: [AboutPageContentController],
    providers: [AboutPageContentService, JwtHelper]
})
export class AboutPageContentModule {
}
