import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {HowItWorksSectionRepository} from './how-it-works-section.repository';
import {HowItWorksSectionController} from './how-it-works-section.controller';
import {HowItWorksSectionService} from './how-it-works-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HowItWorksSectionRepository])
    ],
    controllers: [HowItWorksSectionController],
    providers: [HowItWorksSectionService, JwtHelper, DoSpacesServicerovider, DoSpacesService
    ]
})
export class HowItWorksSectionModule {
}
