import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import {SocialLinkController} from './social-link.controller';
import {SocialLinkRepository} from './social-link.repository';
import {SocialLinkService} from './social-link.service';
import {DoSpacesServicerovider} from 'src/modules/SpacesModule/SpacesService';
import {DoSpacesService} from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SocialLinkRepository])
    ],
    controllers: [SocialLinkController],
    providers: [SocialLinkService, JwtHelper, FileUploadsService, DoSpacesServicerovider, DoSpacesService]
})
export class SocialLinkModule {
}
