import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { EventScheduleController } from './event-schedule.controller';
import { EventScheduleRepository } from './event-schedule.repository';
import { EventScheduleService } from './event-schedule.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([EventScheduleRepository, UsersRepository]),
    ],
    controllers: [EventScheduleController],
    providers: [EventScheduleService, JwtHelper]
})
export class EventScheduleModule {
}
