import {Injectable} from '@nestjs/common';
import {SingleMessageDto} from './dto/single-message.dto';
import {GroupMessageDto} from './dto/group-message.dto';
import {InjectRepository} from "@nestjs/typeorm";
import {MessageRepository} from "./message.repository";
import {OneToOneMessageDto} from "./dto/one-to-one-message.dto";
import {AllGroupMessageDto} from "./dto/all-group-message.dto";

@Injectable()
export class MessageService {
    constructor(@InjectRepository(MessageRepository) private readonly repository: MessageRepository) {
    }

    async createSingleMessage(dto: SingleMessageDto) {
        return await this.repository.createEntity(dto);
    }

    async findAllOneToOne(dto: OneToOneMessageDto) {
        return await this.repository.findAllOneToOne(dto);
    }

    async createGroupMessage(dto: GroupMessageDto) {
        return await this.repository.createEntityForGroup(dto);
    }

    async findAllGroupMessage(dto: AllGroupMessageDto) {
        return await this.repository.findAllGroupMessage(dto);
    }
}
