import { EntityRepository, getConnection, Repository } from "typeorm";
import { TransactionAddressDetailsEntity } from "./entity/transaction-address-details.entity";
import { CreateTransactionAddressDetailsDto } from "./dto/create-transaction-address-details.dto";
import { UpdateTransactionAddressDetailsDto } from "./dto/update-transaction-address-details.dto";

@EntityRepository(TransactionAddressDetailsEntity)
export class TransactionAddressDetailsRepository extends Repository<TransactionAddressDetailsEntity> {
    async createEntity(dto: any){
        try {
            const entity = this.create(
                dto
            );
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async findOneEntity(id: string): Promise<TransactionAddressDetailsEntity | Error> {
        try {
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateTransactionAddressDetailsDto): Promise<TransactionAddressDetailsEntity | Error> {
        try {
            await this.update(id, dto);
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<TransactionAddressDetailsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    ...query,
                    isDeleted: false
                },
                order: {
                    createdAt: "ASC"
                }
            });
        } catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
                .createQueryBuilder()
                .update(TransactionAddressDetailsEntity)
                .set({ isDeleted: true })
                .where("id = :id", { id: id })
                .execute();
            return updateResult.affected > 0;

        } catch (e) {
            return e;
        }
    }
}