import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";
import {TransactionStatus} from "../enum/transaction-status.enum";

@Entity('transaction')
export class TransactionEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    streetAddress: string;

    @Column({default: null, nullable: true})
    city: string;

    @Column({default: null, nullable: true})
    state: string;

    @Column({default: null, nullable: true})
    postalCode: string;

    @Column({default: null, nullable: true})
    clientName: string;

    @Column({default: 0, nullable: true, type: 'decimal', precision: 14, scale: 2})
    price: number;

    @Column({type: 'datetime', default: () => 'CURRENT_TIMESTAMP'})
    createDate: Date;

    @Column({type: 'datetime', default: () => 'CURRENT_TIMESTAMP'})
    closingDate: Date;

    @Column({default: null, type: 'longtext', nullable: true})
    additionalNotes: string;

    @Column({default: null, nullable: true})
    userId: string;

    @Column({default: null, nullable: true})
    userName: string;

    @Column({type: 'enum', enum: TransactionStatus, default: TransactionStatus.PENDING, nullable: true})
    status: TransactionStatus;

    @Column({default: null, nullable: true})
    statusChangeReason: string;
}
